
% figure;
% imagesc(...
%     [m_Vector_MultipSolut_MN(indx,1,j) m_Vector_MultipSolut_MN(indx,:,j)],...
%     (depths(:,:)), 'b')

j = 1;
D =  union(depths(1,:),depths(2,:));
for indx = 3:size(depths,1) 
    D = union(D, depths(indx,:));
end
D = linspace(min(D), max(D), 10*numel(D));



Vs2D_tmp = [m_Vector_MultipSolut_MN(:,1,j) m_Vector_MultipSolut_MN(:,:,j)];
Vs2D = NaN(size(depths,1), size(D,2));
Vs2D(:,1) = m_Vector_MultipSolut_MN(:,1,j);
for indx = 1:size(depths,1) 
    this_Vs = Vs2D_tmp(indx,:);
    this_depth = depths(indx,:);
    for inddepth = 2:numel(this_depth )
        Vs2D(indx,find(this_depth(inddepth-1)<D & D<=this_depth(inddepth))) = this_Vs(inddepth);
    end
    indnan = find(isnan(Vs2D(indx,:)));
    if ~isempty(indnan)
        Vs2D(indx,indnan)=Vs2D(indx,indnan(1)-1);
    end
end

figure
% surf(Xveldainv(1:size(Vs2D',2)), D', Vs2D'); 
% % shading flat; %shading interp;
% view(2)
imagesc(Xveldainv(1:size(Vs2D',2)), D', Vs2D');
colorbar
axis xy
set(gca,'YDir','reverse')
axis tight
title('V_{s} [m/s]')
xlabel('offset [m]');
ylabel('depth [m]');
grid on


figure
hold on
grid on
% for indx = 1:size(Vs2D,1)
%     plot3(Xveldainv(indx)*ones(numel(D)), D, Vs2D(indx,:));
bar3(D, Vs2D(:,:)',1);
% end
set(gca,'YDir','reverse')
view(3)

figure
hold on
set(gca,'YDir','reverse')
grid on
for indx = 1:size(Vs2D,1)
    stairs(Vs2D(indx,:),D,'r - .')
    pause()
end

